/**
 * 库区信息 api 封装
 *
 * @Author:    hj
 * @Date:      2025-03-11 11:12:36
 * @Copyright  友仓
 */
import {postRequest, getRequest} from '/@/lib/axios';

export const areaApi = {

    /**
     * 分页查询  @author  hj
     */
    queryPage: (param: any) => {
        return postRequest('/area/queryPage', param);
    },

    /**
     * 增加  @author  hj
     */
    add: (param: any) => {
        return postRequest('/area/add', param);
    },

    /**
     * 修改  @author  hj
     */
    update: (param: any) => {
        return postRequest('/area/update', param);
    },


    /**
     * 删除  @author  hj
     */
    delete: (areaId: number) => {
        return getRequest('/area/delete',{areaId});
    },

    /**
     * 批量删除  @author  hj
     */
    batchDelete: (idList: any) => {
        return postRequest('/area/batchDelete', idList);
    },

    /**
     * 下拉查询  @author  hj
     */
    queryArea: (param: any) => {
        return postRequest('/area/queryArea', {param});
    },

};
